import java.util.Vector;

public class Table implements HtmlElement {
    private int cols;
    private Vector cells = new Vector();

    public Table(int cols) {
	if (cols < 1)
	    throw new IllegalArgumentException("cols must be positive");
	this.cols = cols;
    }

    public void addCell(HtmlElement e) {
	cells.add(e);
    }

    public String toString() {
	StringBuffer b = new StringBuffer();
	b.append("<TABLE>");
	int max = cells.size();
	if (max % cols != 0) {
	    max = ((max / cols) + 1) * cols;
	}
	for (int i = 0; i < max; i++) {
	    if (i % cols == 0)
		b.append("<TR>");
	    b.append("<TD>");
	    if (i < cells.size())
	        b.append(cells.get(i));
	    b.append("</TD>");
	    if ((i+1) % cols == 0)
		b.append("</TR>");
	}
	b.append("</TABLE>");
	return b.toString();
    }
}
